<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Record StructType
 * @subpackage Structs
 */
abstract class Record extends AbstractStructBase
{
    /**
     * The nullFieldList
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\NullField
     */
    public $nullFieldList;
    /**
     * Constructor method for Record
     * @uses Record::setNullFieldList()
     * @param \StructType\NullField $nullFieldList
     */
    public function __construct(\StructType\NullField $nullFieldList = null)
    {
        $this
            ->setNullFieldList($nullFieldList);
    }
    /**
     * Get nullFieldList value
     * @return \StructType\NullField|null
     */
    public function getNullFieldList()
    {
        return $this->nullFieldList;
    }
    /**
     * Set nullFieldList value
     * @param \StructType\NullField $nullFieldList
     * @return \StructType\Record
     */
    public function setNullFieldList(\StructType\NullField $nullFieldList = null)
    {
        $this->nullFieldList = $nullFieldList;
        return $this;
    }
}
